# -*- coding: utf-8 -*-

import sys
import visa
rm = visa.ResourceManager()
dvm = rm.open_resource('GPIB1::4::INSTR')
#dvm.set_visa_attribute(visa.constants.VI_ATTR_GPIB_READDR_EN, True)

for addr in range(256):
    dvm.write_raw(bytes([ord('W'), addr]))
    val = dvm.read()
    sys.stdout.write(val)
    if addr == 0:
        sys.stdout.write('\n')
    elif (addr - 1)%13 == 12:
        sys.stdout.write('\n')

sys.stdout.write('\n')
dvm.close()
rm.close()